## netgen 1.0

=== DESCRIPTION ===
Package: netgen
Type: Package
Title: Network Generator for Combinatorial Graph Problems
Description: Methods for the generation of a wide range of network geographies, e.g., grid networks or clustered networks. Useful for the generation of benchmarking instances for the investigation of, e.g., Vehicle-Routing-Problems or Travelling Salesperson Problems.
Version: 1.0
Date: 2015-01-20
Authors@R: c(person("Jakob", "Bossek", email = "j.bossek@gmail.com", role =
    c("aut", "cre")))
Maintainer: Jakob Bossek <j.bossek@gmail.com>
URL: https://github.com/jakobbossek/netgen
BugReports: https://github.com/jakobbossek/netgen/issues
License: BSD_3_clause + file LICENSE
Depends: BBmisc (>= 1.6), mvtnorm (>= 1.0-2), lhs (>= 0.10)
Imports: ggplot2, lpSolve, checkmate (>= 1.5.1)
Suggests: testthat
Packaged: 2015-02-03 20:25:07 UTC; jboss
Author: Jakob Bossek [aut, cre]
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-02-03 23:18:48
