## netgen 1.2

=== DESCRIPTION ===
Package: netgen
Type: Package
Title: Network Generator for Combinatorial Graph Problems
Description: Methods for the generation of a wide range of network geographies,
    e.g., grid networks or clustered networks. Useful for the generation of
    benchmarking instances for the investigation of, e.g., Vehicle-Routing-Problems
    or Travelling Salesperson Problems.
Version: 1.2
Date: 2015-11-24
Authors@R: c(person("Jakob", "Bossek", email = "j.bossek@gmail.com", role =
    c("aut", "cre")))
Maintainer: Jakob Bossek <j.bossek@gmail.com>
URL: https://github.com/jakobbossek/netgen
BugReports: https://github.com/jakobbossek/netgen/issues
License: BSD_3_clause + file LICENSE
Depends: BBmisc (>= 1.6), mvtnorm (>= 1.0-2), lhs (>= 0.10), checkmate
        (>= 1.5.1)
Imports: ggplot2, lpSolve, igraph (>= 0.7.1), stringr (>= 0.6.2)
Suggests: testthat
LazyData: yes
ByteCompile: yes
RoxygenNote: 5.0.0
NeedsCompilation: no
Packaged: 2015-11-24 10:31:33 UTC; jboss
Author: Jakob Bossek [aut, cre]
Repository: CRAN
Date/Publication: 2015-11-24 15:08:32
