## netgen 1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -5,8 +5,8 @@
     e.g., grid networks or clustered networks. Useful for the generation of
     benchmarking instances for the investigation of, e.g., Vehicle-Routing-Problems
     or Travelling Salesperson Problems.
-Version: 1.2
-Date: 2015-11-24
+Version: 1.3
+Date: 2016-01-21
 Authors@R: c(person("Jakob", "Bossek", email = "j.bossek@gmail.com", role =
     c("aut", "cre")))
 Maintainer: Jakob Bossek <j.bossek@gmail.com>
@@ -19,9 +19,9 @@
 Suggests: testthat
 LazyData: yes
 ByteCompile: yes
-RoxygenNote: 5.0.0
+RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2015-11-24 10:31:33 UTC; jboss
+Packaged: 2016-01-21 23:04:49 UTC; jboss
 Author: Jakob Bossek [aut, cre]
 Repository: CRAN
-Date/Publication: 2015-11-24 15:08:32
+Date/Publication: 2016-01-22 10:26:50
