## netgen 1.3.2

=== DESCRIPTION ===
Package: netgen
Type: Package
Title: Network Generator for Combinatorial Graph Problems
Description: Methods for the generation of a wide range of network geographies,
    e.g., grid networks or clustered networks. Useful for the generation of
    benchmarking instances for the investigation of, e.g., Vehicle-Routing-Problems
    or Travelling Salesperson Problems.
Version: 1.3.2
Date: 2020-01-08
Authors@R: c(person("Jakob", "Bossek", email = "j.bossek@gmail.com", role =
    c("aut", "cre")))
Maintainer: Jakob Bossek <j.bossek@gmail.com>
URL: https://github.com/jakobbossek/netgen
BugReports: https://github.com/jakobbossek/netgen/issues
License: BSD_3_clause + file LICENSE
Depends: BBmisc (>= 1.6), mvtnorm (>= 1.0-2), lhs (>= 0.10), checkmate
        (>= 1.8.0)
Imports: ggplot2, igraph (>= 0.7.1), stringr (>= 0.6.2)
Suggests: testthat, lpSolve
LazyData: yes
ByteCompile: yes
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2020-01-08 05:48:03 UTC; bossek
Author: Jakob Bossek [aut, cre]
Repository: CRAN
Date/Publication: 2020-01-08 17:50:02 UTC
