=== demoapp/Makefile ===
src = demoapp.cpp
#
lib = libdemoapp.a
#
#
include ../libsrc/makefile.mach.$(MACHINE)
#
#
.PRECIOUS: .cc .hh 
.SUFFIXES: .cc .o 
#
.cc.o:
	$(CPLUSPLUS) -c -O2 $<
#
#
# make lib from sources:
#
$(lib):: $(src) 
	$(CPLUSPLUS) -c -O2 -I../libsrc/interface  $(CPLUSPLUSFLAGS2) $?
	$(AR) $(ARFLAGS) $@ *.o
	-$(RM) *.o
#
#
#	-@$(RANLIB) $@
#
#
