## netgen 4.9.12.dfsg

=== debian/changelog ===
netgen (4.9.12.dfsg-3ubuntu1) maverick; urgency=low

  * add -D__STDC_CONSTANT_MACROS to CFLAGS to unbreak build with FFmpeg 0.6

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 14 Jul 2010 03:57:10 +0200

netgen (4.9.12.dfsg-3) unstable; urgency=low

  * Added automake to Build-Depends (closes: #580516).
  * Moved to Debian Science git repository and updated control accordingly.
  * Move aside autotools-related files during configuration and cleaning.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 14 May 2010 15:50:02 -0400

netgen (4.9.12.dfsg-2) unstable; urgency=low

  [ Christophe Trophime ]
  * debian/control : added autoconf (Closes: #578292)
  * debian/watch : added dversionmangle
  * Change netgen icon

  [ Adam C. Powell, IV ]
  * Changed netgen.desktop to set NETGENDIR variable.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 04 May 2010 06:41:35 -0400

netgen (4.9.12.dfsg-1) unstable; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release (Closes: #514621).
  * debian/watch: added

  [ Adam C. Powell, IV ]
  * Bumped Standards-Version.
  * Forward-ported netgen-missing-symbols.patch.
  * Simplified rules considerably for new autotools build system.
  * Added OpenCASCADE support (Closes: #506523).
  * Added -release versioning to libnglib and changed shlib package name from
    libnetgen4.9 to libnglib-4.9.12.
  * Changed source format to 3.0 (quilt).
  * Added autotools-dev and libtool to Build-Depends.
  * Updated README.Debian.
  * Removed doc/ng4.pdf because there's no source for it.

  [ Christophe Trophime ]
  * Add support for jpeglib
  * Add support for ffmpeg
  * Disable netgen profiling 
  * Add missing man pages
  * Add /usr/share/netgen which contains *.tcl
  * Setting NETGENDIR to /usr/share/netgen in /etc/profile.d/*sh
  * Fix permissions on tcl scripts in /usr/share/netgen
  * Move netgen.ocf to /usr/share/netgen
  * Added libbz2-dev to debian/control 
  * Add menu entry for netgen
  
 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 12 Apr 2010 22:24:17 -0400

netgen (4.4-15) unstable; urgency=low

  [Christophe Prud'homme]
  * Bug fix: "patch depends on changes from .diff.gz", thanks to Raphael
    Hertzog (Closes: #485181).
  * Bug fix: "obsolete binaries need to be removed", thanks to Frank
    Lichtenheld (Closes: #490750).

  [Daniel Leidert]
  * debian/copyright: Completed.

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 09 Nov 2008 12:47:59 +0100

netgen (4.4-14) unstable; urgency=low

  * debian/control: do not build on alpha, hppa and m68k

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 26 Apr 2008 11:18:42 +0200

netgen (4.4-13) unstable; urgency=low

  * Bug fix: "netgen: Undefined symbols in libraries", thanks to Adam C
    Powell IV (Closes: #475323).
  * debian/rules: build depends on libgl1-mesa-dev|nvidia-glx-dev

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 13 Apr 2008 12:44:21 +0200

netgen (4.4-12) unstable; urgency=low

  * attempt to fix hppa build
  * Bug fix: "netgen: FTBFS: include/../ngstd/array.hpp:294: error:
    &#39;memcpy&#39; was not declared in this scope", thanks to Lucas
    Nussbaum (Closes: #474828).

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 09 Apr 2008 08:28:05 +0200

netgen (4.4-11) unstable; urgency=low

  [ Christophe Prud'homme ]
  * debian/rules: export LINK
  * fixed build on ia64 and possibly other archs
  * debian/patches/netgen-shlibs.patch: cleanup up LINKFLAGS2

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 07 Apr 2008 13:28:49 +0200

netgen (4.4-10) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control: Added Homepage field. Vcs fields transition. Fixed Vcs-Svn
    field.
  * debian/netgen-doc.doc-base: Fixed encoding of the file.
    (Abstract): Improved description.
    (Section): Fixed for doc-base 0.8.10.
  * debian/rules (clean): Fixed to build twice in a row.
  * debian/patches/stdlib.patch: Adjusted to compile with GCC 4.3 (closes:
    #454830).
  * debian/patches/netgen-shlibs.patch: Adjusted. Add linkages to resolve
    symbols for the libraries. Otherwise the library package dependencies will
    not be correct.
  * debian/patches/clean.patch: Removed. Not sufficient. Better be done in
    debian/rules.

  [ Christophe Prud'homme ]
  * debian/rules: export CC/CPLUSPLUS
  * Upload

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 07 Apr 2008 10:53:48 +0200

netgen (4.4-9) unstable; urgency=low

  * Bug fix: "netgen: clean target is insufficient", thanks to brian
    m. carlson (Closes: #455536).
  * Bug fix: "FTBFS with GCC 4.3: missing #includes", thanks to Martin
    Michlmayr (Closes: #454830).
  * Bug fix: "netgen: Interface lib is missing nglib.cpp", thanks to Adam
    C. Powell (Closes: #461929).
  * Bug fix: "netgen: Please add shared libs", thanks to Adam
    C. Powell (Closes: #462105).
  * debian/control: Fixed Depends for libnetgen
  * debian/control: Updated Standards-Version

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 08 Feb 2008 09:27:04 +0100

netgen (4.4-8) unstable; urgency=low

  [ Christophe Prud'homme ]
  * Bug fix: "FTBFS with GCC 4.3: missing #includes", thanks to Martin
    Michlmayr (Closes: #417451).

  [ Rafael Laboissiere ]
  * debian/control: Added XS-Vcs-Svn and XS-Vcs-Browser fields to the Source
    section

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 17 Jul 2007 06:32:28 +0200

netgen (4.4-7) unstable; urgency=low

  * Added g++ to Build-Depends, it might help build on arm
  * Updated Standards-Version to 3.7.2 (no change)

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 30 Jul 2006 17:09:06 +0200

netgen (4.4-6) unstable; urgency=low

  * Bug fix: "netgen: FTBFS: cannot find -lXi", thanks to Daniel Schepler
    (Closes: #370176).
  * Make it compile with g++ 4.1

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri,  9 Jun 2006 08:00:29 +0200

netgen (4.4-5) unstable; urgency=low

  * Fixed netgen override disparity
  * Fixed tix dependency

