=== debian/control ===
Source: netgen
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, "Adam C. Powell, IV" <hazelsct@debian.org>
DM-Upload-Allowed: yes
Build-Depends: quilt, cdbs, debhelper (>= 7), autotools-dev, automake, libtool,
 g++ (>= 4.0), tcl8.5-dev, tk8.5-dev, tix-dev (>= 8.4.3-2),
 docbook-to-man, libxmu-dev, libglu1-mesa-dev,
 libgl1-mesa-dev|nvidia-glx-dev, libopencascade-foundation-dev,
 libopencascade-modeling-dev, libopencascade-visualization-dev,
 libopencascade-ocaf-dev, libopencascade-ocaf-lite-dev, libtogl-dev (>= 1.7),
 libswscale-dev, libavformat-dev, libavcodec-dev, libjpeg62-dev, libbz2-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/debian-science/packages/netgen.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/netgen.git
Homepage: http://sourceforge.net/projects/netgen-mesher/

Package: netgen
Architecture: any
Depends: tix, tix-dev, ${shlibs:Depends}, ${misc:Depends}
Description: Automatic 3d tetrahedral mesh generator
 NETGEN is an automatic 3d tetrahedral mesh generator. It accepts
 input from constructive solid geometry (CSG) or boundary
 representation (BRep) from STL file format.  NETGEN contains modules
 for mesh optimization and hierarchical mesh refinement.

Package: netgen-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: netgen
Description: Automatic 3d tetrahedral mesh generator documentation
 NETGEN is an automatic 3d tetrahedral mesh generator. It accepts
 input from constructive solid geometry (CSG) or boundary
 representation (BRep) from STL file format.  NETGEN contains modules
 for mesh optimization and hierarchical mesh refinement.
 .
 This package contains the user manual (in PDF format) and example
 files.

Package: libnglib-dev
Section: libdevel
Architecture: any
Depends: libnglib-4.9.12 (= ${binary:Version}), ${misc:Depends}
Description: Automatic 3d tetrahedral mesh generator development files
 NETGEN is an automatic 3d tetrahedral mesh generator. It accepts
 input from constructive solid geometry (CSG) or boundary
 representation (BRep) from STL file format. The connection to a
 geometry kernel allows the handling of IGES and STEP files. NETGEN
 contains modules for mesh optimization and hierarchical mesh
 refinement.
 .
 This package contains the static libraries and header files.

Package: libnglib-4.9.12
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Automatic 3d tetrahedral mesh generator development files
 NETGEN is an automatic 3d tetrahedral mesh generator. It accepts
 input from constructive solid geometry (CSG) or boundary
 representation (BRep) from STL file format. The connection to a
 geometry kernel allows the handling of IGES and STEP files. NETGEN
 contains modules for mesh optimization and hierarchical mesh
 refinement.
 .
 This package contains the shared libraries.
