## netgen 4.9.13.dfsg

=== debian/changelog ===
netgen (4.9.13.dfsg-10) unstable; urgency=medium

  * [f5aa1b2] Mark libnglib-4.9.13 as Multi-Arch: same
  * [5db4cfb] Update d/watch.
  * [c2dc4fc] Remove readme-files.
  * [2265ee3] Remove netgen.maintscript
  * [75b9e90] Install some more headers.

 -- Anton Gladky <gladk@debian.org>  Sun, 16 Jul 2017 20:04:53 +0200

netgen (4.9.13.dfsg-9) unstable; urgency=medium

  * [f6e3fde] Use dh 10 instead of cdbs. Simplify d/rules.
  * [46777a6] Move manpages into debian/manpages.
  * [c1dcc84] Install all tcl-files.
  * [dcc5d61] Drop executable flag in tcl
  * [f32f653] Fix startup-crash. (Closes: #782361)
  * [2df4370] Remove tix-dev from depends of netgen. (Closes: #736402)
  * [f4d1b41] Remove Christophe from uploaders. (Closes: #835018)
  * [96633b5] Add netgen-doc in suggests-section of netgen. (Closes: #849901)
  * [c11431b] Add myself to uploaders.
  * [028961d] Use DEP-5 for d/copyright.
  * [1a813c8] Apply cme fix dpkg.
  * [b68a25e] Fix indent in d/copyright.

 -- Anton Gladky <gladk@debian.org>  Sun, 16 Jul 2017 17:03:28 +0200

netgen (4.9.13.dfsg-8) unstable; urgency=medium

  * Team upload.
  * Patch netgen to set NETGENDIR if not already set. (Closes: #648047)
  * Remove /etc/profile.d/netgen.{csh,sh}. (Closes: #671186)

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Dec 2013 10:15:08 +0100

netgen (4.9.13.dfsg-7) unstable; urgency=low

  * Drop quilt.mk and quilt build-depends, as otherwise patches are
    unapplied before autoreconf and thus this package FTBFS, as without
    patches autoreconf fails. Closes: #713306

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 22 Aug 2013 20:50:56 +0100

netgen (4.9.13.dfsg-6) unstable; urgency=low

  * Team upload.
  * Fix automake1.13 FTBFS at autoreconf. Closes: #713306
  * Disable ffmpeg/avcodec, GPL incompatible + needs porting to new
    api. Closes: #618968

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Aug 2013 23:29:59 +0100

netgen (4.9.13.dfsg-5) experimental; urgency=low

  * Team upload.
  * Use libjpeg-dev not libjpeg62-dev (closes: #644069).
  * Fix build against oce 0.10 (closes: #677558).
  * Tweak debian/rules to fix building twice in a row.
  * Fix libnglib-4.9.13 short description.
  * Add netgen-headers package providing internal headers (closes: #683661)
  * Bump oce build-dependencies to 0.10.

 -- Julien Cristau <julien.cristau@logilab.fr>  Tue, 27 Nov 2012 10:53:26 +0100

netgen (4.9.13.dfsg-4) unstable; urgency=low

  [ Denis Barbier ]
  * Switch from OpenCASCADE to OCE (closes: #659132).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Tue, 06 Mar 2012 11:17:32 -0500

netgen (4.9.13.dfsg-3) unstable; urgency=low

  * Versioned Depends on libopencascade-modeling-dev (closes: #619931).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 11 Apr 2011 18:04:44 -0400

netgen (4.9.13.dfsg-2) unstable; urgency=low

  * Patched to work with OpenCASCADE 6.5.0 (closes: #619931).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 01 Apr 2011 17:14:50 -0400

netgen (4.9.13.dfsg-1) unstable; urgency=low

  [ Reinhard Tartler ]
  * Add a flag to unbreak building with FFmpeg 0.6 (closes: #588982)

  [ Adam C. Powell, IV ]
  * New upstream (closes: #586786).
  * Quoted Adam Powell's name in the changelog (closes: #591770).
  * Added debian/patches/quiltrc and refreshed patches.
  * Bumped Standards-Version.
  * Added lintian overrides file.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 21 Oct 2010 23:48:28 -0400
