=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export MACHINE=LINUX

extra_flags += \
            --enable-occ \
            --with-occ=/usr \
            --with-tcl=/usr/lib/tcl8.5 \
            --with-tk=/usr/lib/tk8.5 \
            --with-togl=/usr/lib \
            --enable-jpeglib

override_dh_auto_configure:
	dh_auto_configure -- $(extra_flags)

override_dh_auto_install:
	dh_auto_install
	chmod -x debian/tmp/usr/bin/*.tcl
